Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [glibc]

glibc is GNU's implementation of the Standard C library.

14
votes
1answer
8k views

Installing two glibc alongside in debian/ubuntu

Is it possible to install and use two different glibc versions on the same machine. Where one version is only used to run legacy software, which relies on old glibc binaries? Is it possible to do ...
33
votes
3answers
54k views

What is the difference between i686 and x86_64 packages?

I have a machine with both glibc i686 and x86_64, and a very annoying problem with glibc. Is it normal to have two libraries of the same name installed on one computer? How can I know which library ...
53
votes
2answers
13k views

Why and how are some shared libraries runnable, as though they are executables?

On 32-bit Linux systems, invoking this $ /lib/libc.so.6 and on 64-bit systems this $ /lib/x86_64-linux-gnu/libc.so.6 in a shell, provides an output like this: GNU C Library stable release version ...
20
votes
3answers
24k views

how to run new software without updating GLIBC?

I installed Mathematica 9 on an old Red Hat Enterprise Linux AS release 4 system. After the installation, I tried to start Mathematica, but following message came out: /home/wcbao/M/Wolfram/...
26
votes
1answer
991 views

What would be the best way to work around this glibc problem?

I administer a Gentoo Hardened box that uses file capabilities to eliminate most of the need for setuid-root binaries (e.g. /bin/ping has CAP_NET_RAW, etc). Infact, the only binary I have left is ...
13
votes
1answer
3k views

Is there an easy method for installing binary builds of glibc?

Time and time again I see questions such as these: GLIBCXX 3.4.15 on Centos 6 CentOS 4.8 and glibc 2.5 And these are the types of solutions we're typically pushing: how to run new software without ...
13
votes
1answer
7k views

Ghost Vulnerability - CVE-2015-0235

Does the Ghost Vulnerability require access (as in being a logged in user) to the effected OS in question? Can someone clarify the 'remote attacker that is able to make an application call'? I only ...
38
votes
4answers
3k views

Does bash open files in O_APPEND when using “>>” on linux?

If we use echo 1234 >> some-file then Documentation says that the output is appended. My guess is that, if some-file does not exist, then O_CREAT will make a new file. If > was used, then ...
5
votes
1answer
2k views

Unexpected sort order in en_US.UTF-8 locale

While trying to answer this question about SQL sorting, I noticed a sort order I did not expect: $ export LC_ALL=en_US.UTF-8 $ echo "T-700A Grouped" > sort.txt $ echo "T-700 AGrouped" >> ...
1
vote
1answer
254 views

what does elibc_FreeBSD mean in gentoo portage overlays?

I have a gentoo overlay which has been added to http://gpo.zugaina.org/. One of my ebuilds recMD5 now shows the use flag elibc_FreeBSD even though I didn't add it. I am also running into it for a ...
43
votes
3answers
138k views

How to update glibc to 2.14 in CentOS 6.5

I want to install Android NDK on my CentOS 6.5 machine. But when I ran the program, it says it needs glibc 2.14 to be able to run. My CentOS 6.5 only has Glibc 2.12 installed. So I tried to update ...
22
votes
3answers
138k views

Need to install glibc >= 2.14 on Wheezy

I am trying to get Protractor working for performing e2e angular testing, but protractor requires Selenium which requires ChromeDriver which requires glibc 2.14. My current development box is running ...
27
votes
5answers
31k views

Why is almost every program complaining about my locale?

I'm using Arch Linux, and I've followed the directions on the wiki about setting my locale. Nearly every program that runs complains about the locale - even locale. It looks like this: % locale ...
8
votes
1answer
13k views

How to properly upgrade glibc?

The firmware of my NAS comes with a rather old version of glibc, namely 2.5. In order to cope with some precompiled binaries linked* to glibc 2.15, I would like to upgrade it. From some simple testing ...
2
votes
6answers
27k views

Why does “yum update” fails with many duplicates, after many months of no upgrades?

After many months (> 6) of no software upgrades, I logged into an EC2 instances running: Linux version 2.6.32-358.23.2.el6.x86_64 (mockbuild@x86-022.build.eng.bos.redhat.com) (gcc version 4.4.7 ...
9
votes
1answer
3k views

What is in the output of “getent ahosts”?

What are the fields printed by getent ahosts DOMAIN? The output for getent hosts is a simple combination of IP and hostname. The getent ahosts has an additional third field that is, in all my test, ...
6
votes
1answer
819 views

Why doesn't unsetenv() modify /proc/pid/environ?

I was just looking at this question and wrote a noddy program to demonstrate unsetenv() modifying /proc/pid/environ. To my surprise it has no effect! Here's what I did: #include <stdio.h> #...
2
votes
1answer
808 views

LFS 7.5 - Glibc-2.19 compile errors at section 6.9, are they fatal to my LFS build?

I am using a host Ubuntu 14.04 system, and I am currently going through the Linux From Scratch guide here. At section 6.9, http://www.linuxfromscratch.org/lfs/view/stable/chapter06/glibc.html, after ...
1
vote
2answers
10k views

“ /lib64/libc.so.6: version `GLIBC_2.7' not found” Error when installation of R package

I met a problem when trying to install a R package called "GenomicFeatures", Error in dyn.load(file, DLLpath = DLLpath, ...) : unable to load shared object '$HOME/.R325/lib64/R/library/RCurl/libs/...
1
vote
1answer
4k views

How to redirect linker share library default path /lib64/libc.so.6, /lib64/libc.so.6: version `GLIBC_2.14' not found

My linux machine is x86_64-redhat-linux. However I am using another arm tool chain aarch64-linux-gnu-gcc on this machine to build(I don't need to run what I build on this machine, just build, so it ...
9
votes
2answers
10k views

No 32 development library error after install glibc-devel.i686

I am trying to install gcc 4.9.0 on centOS 6. During ./configure there is an error coming up: /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/4.4.7/libgcc_s.so when searching for -...
4
votes
1answer
2k views

CentOS 4.8 and glibc 2.5

How would I go about installing glibc 2.5 on CentOS 4.8? I know CentOS 4.8 has been EOL'd, which is all good and well. However, the environment that I am working in is using this version, and will ...
2
votes
1answer
12k views

can not install mysql-server on centos 6.7 32bit . Error: need rpm?

when I try to install mysql-server on centos with this command: yum install mysql-server server replies: Loaded plugins: fastestmirror, security Setting up Install Process Loading mirror speeds ...
0
votes
2answers
1k views

Some errors when building Glibc LFS - are they harmless?

I've finished chapter 5. When I'm building glibc, I get some errors: root:/sources/glibc-build# grep Error glibc-check-log make[2]: *** [/sources/glibc-build/posix/tst-getaddrinfo4.out] Error 1 make[...